Complete two-step login
curl --request POST \
--url https://api.qbank.cl/platform/v1/auth/login/otp \
--header 'Content-Type: application/json' \
--data '
{
"pending_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9…",
"code": "482913"
}
'import requests
url = "https://api.qbank.cl/platform/v1/auth/login/otp"
payload = {
"pending_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9…",
"code": "482913"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pending_token: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9…', code: '482913'})
};
fetch('https://api.qbank.cl/platform/v1/auth/login/otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9…",
"expires_at": "2026-07-09T21:00:00Z",
"refresh_token": "rt_6a1e6c22-93a1-4f0e-a7d1-1f2e3c4b5a69.XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"refresh_expires_at": "2026-08-07T21:00:00Z",
"account_id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"role": "owner"
}{
"error": "invalid_code",
"message": "the code is incorrect; check it and try again"
}{
"error": "challenge_not_pending",
"message": "the challenge already expired or was used; log in again"
}Complete two-step login
Exchanges the pending_token from POST /v1/auth/login plus the OTP code received over SMS/WhatsApp for the real session token. The pending token expires after 10 minutes and can never call the API by itself.
POST
/
v1
/
auth
/
login
/
otp
Complete two-step login
Last modified on July 18, 2026
⌘I